Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 290 - X windows hangs whole machine
Summary: X windows hangs whole machine
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-04 06:13 UTC by cjuleff
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-07 21:45:40 UTC


Attachments (Terms of Use)

Description cjuleff 1998-12-04 06:13:54 UTC
System is PII 400 with S3Virge/GX2 card
After about 2 minutes, X windows hangs the whole machine
which cannot even be pinged after the hang. We have disabled
gpm and have tried the SVGA and S3V drivers but with no
luck. We have also tried a serial mouse instead of a PS/2
mouse but that doesnt help. There is nothing logged in
/var/log/messages or from startx. The machines doesnt seem
to hang if run only in console mode. The user is migrating
from Windows NT which runs ok.

Comment 1 Edward Schlunder 1998-12-05 00:35:59 UTC
Have you tried XFree86 3.3.3? Straight from the bugs fixed list at
http://www.xfree86.org/3.3.3/RELNOTES6.html:

- Fix some lockups with ViRGE chips.

You can find SRPMs for XFree86 3.3.3 on ftp://rhcn.redhat.com

Comment 2 David Lawrence 1998-12-07 21:45:59 UTC
The S3 VirgeGX2 is not properly supported with the version of XFree86
that shipped with 5.2. The newest version of XFree86 3.3.3 had
improved support for that adaptor. We are working to make them
available for download from our ftp site or they can be obtained from
www.xfree86.org.

Comment 3 cjuleff 1998-12-10 13:52:59 UTC
XFree 3.3.3 makes no difference. We have again tried the SVGA and S3V
drivers. We have also removed a pnp Creative Labs sound card and 3Com
3c905B NIC but that had no effect. We have run out of ideas.
The video card is an AGP-Bus type, model S3Virge/GX2 SG200A. The
motherboard is an Intel SE440BX, if this helps.


Note You need to log in before you can comment on or make changes to this bug.